%global stackname genmsg
%global gitrev 1b6e548
Name:           ros-%{rosrelease}-%{stackname}
Version:        0.4.15
Release:        1
Summary:        Library for generating ROS message and service data structures

License:        BSD
URL:            http://ros.org/doc/api/genmsg/html/
#wget --content-disposition https://github.com/ros/genmsg/tarball/0.4.15
Source0:        ros-%{stackname}-%{version}-0-g%{gitrev}.tar.gz
#Moves /usr/etc to /etc
Patch0:         genmsg-0.4.15-installdir.patch

BuildArch:      noarch
Provides:       ros-%{stackname} = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  python-setuptools-devel
BuildRequires:  python-catkin
BuildRequires:  ros-release

Requires:       ros-release

%description
%{name} decouples code generation from ROS msg & srv files from the 
parsing of these files and from impementation details of the build 
system

%prep
%setup -q -n ros-%{stackname}-%{gitrev}
%patch0 -p0 -b .installdir

%build
mkdir build
pushd build
%cmake .. \
  -DSETUPTOOLS_DEB_LAYOUT=OFF
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig
mv $RPM_BUILD_ROOT%{_usr}/lib/pkgconfig/genmsg.pc $RPM_BUILD_ROOT/%{_datadir}/pkgconfig

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ros/%{stackname}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{stackname}

mv $RPM_BUILD_ROOT%{_usr}/.catkin $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/.rosinstall $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/_setup_util.py $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/env.sh $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/setup.* $RPM_BUILD_ROOT%{_datadir}/%{stackname}/

%files
%doc
%{_datadir}/%{stackname}
%{_datadir}/pkgconfig/*.pc
%{python_sitelib}/%{stackname}
%{python_sitelib}/*egg-info
%dir %{_sysconfdir}/ros/%{stackname}

%changelog
* Tue Sep 04 2012 Rich Mattes <richmattes@gmail.com> - 0.3.10-1.git7859688
- Initial package
